fields

## Class DataRecord.VIF

- java.lang.Object
- - fields.DataRecord.DataRecordHeaderBase
  - - fields.DataRecord.VIF

- Enclosing class:
    DataRecord

      public class DataRecord.VIF
      extends DataRecord.DataRecordHeaderBase

  Model for the WM-Bus VIF.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Integer` | `multiplier`
    `private ValueType` | `valueType`

    - ### Fields inherited from class fields.DataRecord.DataRecordHeaderBase

      `extensionBit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VIF()`
    `VIF(boolean extensionBit, java.lang.String valueTypeBits, int multiplier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBits()`
    `java.lang.Integer` | `getMultiplier()`
    `ValueType` | `getValueType()`
    `void` | `setMultiplier(java.lang.Integer multiplier)`
    `void` | `setValueType(java.lang.String valueTypeBits)`
    `void` | `setValueType(ValueType valueType)`

    - ### Methods inherited from class fields.DataRecord.DataRecordHeaderBase

      `getByte, isExtensionBit, setExtensionBit, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### multiplier

          private java.lang.Integer multiplier

    - #### valueType

          private ValueType valueType

  - ### Constructor Detail

    - #### VIF

          public VIF()

    - #### VIF

          public VIF(boolean extensionBit,
                     java.lang.String valueTypeBits,
                     int multiplier)

  - ### Method Detail

    - #### getBits

          public java.lang.String getBits()

      Specified by:
        `getBits` in class `DataRecord.DataRecordHeaderBase`

    - #### getMultiplier

          public java.lang.Integer getMultiplier()

    - #### getValueType

          public ValueType getValueType()

    - #### setMultiplier

          public void setMultiplier(java.lang.Integer multiplier)

    - #### setValueType

          public void setValueType(java.lang.String valueTypeBits)

    - #### setValueType

          public void setValueType(ValueType valueType)